Subject: Re: Suspend issues on 2.6.27-rc2 (was: Heavy suspend and io problems in 2.6.27-rc1-00156-g94ad374)

From: "Justin Mattock" <[email-masked]>
Date: Mon, 11 Aug 2008 18:43:05 -0700

On Mon, Aug 11, 2008 at 1:39 PM, Rafael J. Wysocki <[email-masked]> wrote:
> On Monday, 11 of August 2008, Nico Schottelius wrote:
>> Rafael J. Wysocki [Thu, Aug 07, 2008 at 06:52:10PM +0200]:
>> > > The problem continues to exist:
>> > >
>> > > I tested it on vanilla 2.6.27-rc2: Same problem, system does not wake up.
>> > >
>> > > Did not test the proposed patch, because it did not restore the console
>> > > in any tested case yet, though it at least wakes the system up.
>> >
>> > What graphics adapter is there in your box?
>>
>> x1400, using radeonhd (also from git)
>>
>> It's a T60 lenovo thinkpad.
>
> There also are models with Intel graphics, I think.
>
> Anyway, the problem is related to either the graphics driver, or ACPI.
>
> Please verify if any ACPI-related settings haven't changed in your .config
> between the good kernel and the failing one.
>
> Thanks,
> Rafael
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/
>

Just to let you know, I am having suspend issues as well,
(not kernel related),
ATI chipset, my situation maybe different, but you never know.
last week I was using xorg 7.1 with no issues,
now after an upgrade through debian sid
xorg 7.3(or whatever the number is), the system wakes up
to a black screen, then after around two or three minuetes
I regain my screen again. Could be xorg, or something else.
Maybe you are having the same issue.

-- 
Justin P. Mattock